Get iTunes Video Charts

Return music videos charting on iTunes for a given date. Genre is fixed to Music Videos by the handler. Shape mirrors the iTunes track chart.

Query Parameters
  • country_code
    Type: string
    min length:  
    2
    max length:  
    2
    required

    ISO 3166-1 alpha-2 country code (2 letters, e.g. 'US', 'BR', 'GB').

  • date
    Type: string Format: date-time

    Date for the time-slice (YYYY-MM-DD). Required unless latest=true.

  • offset
    Type: integer
    min:  
    0

    Number of items to skip from the start of the result set; pair with limit to paginate.

  • latest
    Type: boolean

    If true, use the most recently available date and ignore date.

Responses
  • application/json
Request Example for get/api/charts/itunes/videos
curl 'https://api.chartmetric.com/api/charts/itunes/videos?country_code=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "length": 1,
    "data": [
      {
        "id": 314159,
        "name": "Bad Guy (Official Music Video)",
        "isrc": "USUM71900764",
        "image_url": "https://is5-ssl.mzstatic.com/image/thumb/Music124/v4/bg.jpeg",
        "cm_track": 22001122,
        "itunes": 1456780213,
        "rank": 6,
        "pre_rank": 5,
        "peak_rank": 1,
        "peak_date": "2019-04-01T00:00:00.000Z",
        "added_at": "2024-05-01T00:00:00.000Z",
        "genre": "Music Videos",
        "code2": "US",
        "velocity": 0.01,
        "time_on_chart": "1800 days",
        "rankStats": [
          {
            "rank": 6,
            "timestp": "2024-05-01T00:00:00.000Z"
          }
        ],
        "artist_names": [
          "Billie Eilish"
        ],
        "cm_artist": [
          214456
        ]
      }
    ]
  }
}